{% load i18n %}{% spaceless %}
<div class="plugin plugin-blog mb-3">
    <h5 class="text-uppercase mb-3">{% trans "Archive" %}</h5>
    {% regroup dates by date.year as years %}
    {% with current_year=year current_month=month %}
    <ul class="blog-archive list-group">
        {% for year in years %}
        <li class="list-group-item{% if year.grouper == current_year %} active{% endif %}">
            <a href="{% url 'djangocms_blog:posts-archive' year=year.grouper %}">{{ year.grouper }}</a>
            <ul class="list-group list-group-flush">
                {% for month in year.list %}
                <li class="list-group-item{% if year.grouper == current_year and month.date.month == current_month %} active{% else %} month{% endif %}">
                    <a href="{% url 'djangocms_blog:posts-archive' year=year.grouper month=month.date|date:"n" %}">
                        {{ month.date|date:"F"|capfirst }}
                        {% if month.count > 0 %}<span class="badge badge-primary text-white p-2">{{ month.count }}</span>{% endif %}
                    </a>
                </li>
                {% endfor %}
            </ul>
        </li>
        {% empty %}
        <li class="blog-empty"><p>{% trans "No article found." %}</p></li>
        {% endfor %}
    </ul>
    {% endwith %}
</div>
{% endspaceless %}